/* Copyright (c) 1997, MpegTV LLC */
#ifndef _ts_api_h
#define _ts_api_h
#ifndef lint
static char rcsid_ts_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/ts.h,v 1.1 1997/10/29 09:26:05 tristan Exp $";
#endif

#include "misc.h"

/*--------------------------------------------------------------------------+
| Macros																	|
+--------------------------------------------------------------------------*/

#define TS_GET(tsp)	((tsp)->val)

#define TS_SET(tsp, v)	STMT((tsp)->def = 1; (tsp)->val = (v);)

#define TS_UNSET(tsp)	STMT((tsp)->def = 0;)

#define TS_IS_SET(tsp)	((tsp)->def)


/*--------------------------------------------------------------------------+
| Data types																|
+--------------------------------------------------------------------------*/
/*
 * Opaque type used for time stamps (PTS, DTS and SCR)
 */

typedef struct {
	short	def;	/* True means value is defined, False means it is undefined */
	double	val;		/* time stamp value, in sec */
} TS;


#endif /* _ts_api_h */
